-- phpMyAdmin SQL Dump
-- version 4.8.4
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Creato il: Lug 16, 2024 alle 16:56
-- Versione del server: 10.1.37-MariaDB
-- Versione PHP: 5.6.40

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `manutenzioni`
--

--
-- Struttura della tabella `tblditte`
--

CREATE TABLE `tblditte` (
  `id_ditta` int(11) NOT NULL,
  `id_intervento` int(11) NOT NULL,
  `ragione_sociale` varchar(255) NOT NULL,
  `indirizzo_ditta` varchar(255) NOT NULL,
  `telefono_ditta` varchar(255) NOT NULL,
  `referente_ditta` varchar(255) NOT NULL,
  `note_ditta` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dump dei dati per la tabella `tblditte`
--

INSERT INTO `tblditte` (`id_ditta`, `id_intervento`, `ragione_sociale`, `indirizzo_ditta`, `telefono_ditta`, `referente_ditta`, `note_ditta`) VALUES
(1, 0, 'ditta marzio', 'via ginori', '488741', 'via ginori', 'marzio note'),
(2, 0, 'ditta marzio', 'via ginori', 'note marzio', '488741', 'marzio'),
(3, 0, 'ditta camilla', 'via cipro', '333333333333', 'camilla', 'telefonare prima delle 13');

-- --------------------------------------------------------

--
-- Struttura della tabella `tblintervento`
--

CREATE TABLE `tblintervento` (
  `id_intervento` int(11) NOT NULL,
  `intervento` varchar(500) NOT NULL,
  `localita` varchar(255) NOT NULL,
  `num_intervento` int(11) NOT NULL,
  `descrizione` varchar(255) NOT NULL,
  `posizione` varchar(255) NOT NULL,
  `maps_intervento` varchar(500) NOT NULL,
  `street_intervento` varchar(500) NOT NULL,
  `ragione_sociale` varchar(255) NOT NULL,
  `note_intervento` text NOT NULL,
  `materiale_asfalto` varchar(255) NOT NULL,
  `quantita_asfalto` int(11) NOT NULL,
  `quantita_usata_asfalto` int(11) NOT NULL,
  `quantita_cartelli` int(11) NOT NULL,
  `materiale_cartelli` int(11) NOT NULL,
  `materiale_lampade` int(11) NOT NULL,
  `materiale_transenne` int(11) NOT NULL,
  `quantita_usata_cartelli` int(11) NOT NULL,
  `quantita_lampade` int(11) NOT NULL,
  `quantita_usata_lampade` int(11) NOT NULL,
  `quantita_transenne` int(11) NOT NULL,
  `quantita_usata_transenne` int(11) NOT NULL,
  `linkcartella` varchar(255) NOT NULL,
  `annullato` varchar(2) NOT NULL,
  `data_inizio` varchar(25) NOT NULL,
  `data_fine` varchar(10) NOT NULL,
  `datamodifica` varchar(20) NOT NULL,
  `modificato_da` varchar(255) NOT NULL,
  `foto_sopralluogo` varchar(500) NOT NULL,
  `link_foto_sopralluogo` varchar(500) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dump dei dati per la tabella `tblintervento`
--

INSERT INTO `tblintervento` (`id_intervento`, `intervento`, `localita`, `num_intervento`, `descrizione`, `posizione`, `maps_intervento`, `street_intervento`, `ragione_sociale`, `note_intervento`, `materiale_asfalto`, `quantita_asfalto`, `quantita_usata_asfalto`, `quantita_cartelli`, `materiale_cartelli`, `materiale_lampade`, `materiale_transenne`, `quantita_usata_cartelli`, `quantita_lampade`, `quantita_usata_lampade`, `quantita_transenne`, `quantita_usata_transenne`, `linkcartella`, `annullato`, `data_inizio`, `data_fine`, `datamodifica`, `modificato_da`, `foto_sopralluogo`, `link_foto_sopralluogo`) VALUES
(1, 'via cipro', '', 1, 'transennata la via', '', '', '', '', '77', 'Transenne', 1, 1, 20, 0, 0, 0, 2, 3, 3, 4, 4, 'mappe/via cipro', '', '12-07-2024', '16-072024', '16-07-2024 12.38.27', '', '', ''),
(2, 'via ginori', '', 2, 'cartelli', '', '', '', '', '', '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 'mappe/via ginori', '', '10-07-2024', '', '', '', '', ''),
(3, 'via dei curiazi', '', 8, 'manutenzione tombini', '', '', '', '', '', '', 0, 0, 2, 0, 0, 0, 0, 0, 0, 6, 0, '', '', '01-01-2024', '01-08-2024', '16-07-2024 16.42.10', '', '', '');

-- --------------------------------------------------------

--
-- Struttura della tabella `tblmagazzino`
--

CREATE TABLE `tblmagazzino` (
  `id_magazzino` int(11) NOT NULL,
  `materiale` varchar(255) NOT NULL,
  `quantita` int(11) NOT NULL,
  `note_magazzino` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dump dei dati per la tabella `tblmagazzino`
--

INSERT INTO `tblmagazzino` (`id_magazzino`, `materiale`, `quantita`, `note_magazzino`) VALUES
(1, 'Asfalto', 90, ''),
(2, 'Cartelli', 150, ''),
(3, 'Lampade', 50, ''),
(4, 'Transenne', 200, '');

-- --------------------------------------------------------

--
-- Struttura della tabella `users`
--

CREATE TABLE `users` (
  `user_id` bigint(20) NOT NULL COMMENT 'auto incrementing user_id of each user, unique index',
  `user_name` varchar(64) COLLATE utf8_unicode_ci NOT NULL COMMENT 'user''s name',
  `user_password_hash` varchar(255) COLLATE utf8_unicode_ci NOT NULL COMMENT 'user''s password in salted and hashed format',
  `user_email` varchar(64) COLLATE utf8_unicode_ci NOT NULL COMMENT 'user''s email',
  `data_reg` varchar(50) COLLATE utf8_unicode_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='user data';

--
-- Dump dei dati per la tabella `users`
--

INSERT INTO `users` (`user_id`, `user_name`, `user_password_hash`, `user_email`, `data_reg`) VALUES
(1, 'Marzio', '$2y$10$GROHuruKBnOYo2BVU.cfX.swM8.FwsYG6TMb08LVqP.lQxY5WcJma', '', '');

-- --------------------------------------------------------

--
-- Indici per le tabelle scaricate
--

--
-- Indici per le tabelle `tblditte`
--
ALTER TABLE `tblditte`
  ADD PRIMARY KEY (`id_ditta`);

--
-- Indici per le tabelle `tblintervento`
--
ALTER TABLE `tblintervento`
  ADD PRIMARY KEY (`id_intervento`);

--
-- Indici per le tabelle `tblmagazzino`
--
ALTER TABLE `tblmagazzino`
  ADD PRIMARY KEY (`id_magazzino`);

--
-- AUTO_INCREMENT per le tabelle scaricate
--

--
-- AUTO_INCREMENT per la tabella `tblditte`
--
ALTER TABLE `tblditte`
  MODIFY `id_ditta` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT per la tabella `tblintervento`
--
ALTER TABLE `tblintervento`
  MODIFY `id_intervento` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=11;

--
-- AUTO_INCREMENT per la tabella `tblmagazzino`
--
ALTER TABLE `tblmagazzino`
  MODIFY `id_magazzino` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- Limiti per le tabelle scaricate
--


/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
